"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../../../node_modules/@formulajs/formulajs/lib/esm/index.js");
const customFunc = require("./customFunc.js");
const Formula = { ...index, ...customFunc };
class FunctionCore {
  constructor() {
    Object.assign(FunctionCore.prototype, Formula);
  }
  executeFunction(str) {
    const fn = new Function(
      "with(this) { return " + str + "; }"
      // 使用 `with` 来确保从当前实例中查找函数
    ).bind(this);
    return fn();
  }
}
const functionCore = new FunctionCore();
exports.default = functionCore;
